#!/bin/bash
CONFIG_PATH=/usr/share/fcitx/lexicon/lexicon-cell.conf
#CONFIG_PATH_2=/usr/share/fcitx/lexicon/lexicon-cell-2.conf
i=0;
installStatus="not installed"
cat $CONFIG_PATH   | while read line
do
     i=`expr $i + 1`
    if [ $i = 1 ];then
	continue
    fi
    NAME=`echo $line |cut -d "," -f4`
    mbName=`echo $line |cut -d "," -f5`
    mbStatus=`echo $line |cut -d "," -f6`
    VersionStatus=`apt-show-versions -u $NAME`
    if [ "$VersionStatus" = "" ]
    then
#up-to-date
	echo "0"

    else
	result=`$(echo "$VersionStatus" | grep "$installStatus")`
	if  [ "$result" = "" ]
	then
	apt-get --reinstall install $NAME --assume-yes --force-yes  >/dev/null 2>&1
	if [ "$?" = "0" ];then
#success
		echo "1"
		newVersion=`dpkg -s $NAME |grep Description|cut -d ' ' -f2` 
		sed -i 's/'"$line"'/'"$newVersion""$mbStatus"","'/g' $CONFIG_PATH
		if [ "$status" = "0" ];then
			mv /usr/share/fcitx/lexicon/lexicon-cell/$mbName.mb /usr/share/fcitx/lexicon/lexicon-cell-bak/$mbName.mb
		fi
         else
#"Error!"
		echo 2
	fi
	else
		#echo $result
		echo 2
	fi
fi
done
user=`cat /usr/share/fcitx/lexicon/.fcitx-user`
#echo "bbb" >>/home/nfs/1.log
su -c 'notify-send  "细胞词库更新完成！"' $user
#echo "aaa" >>/home/nfs/1.log
